# Get all DeviceOperations for a specific Operation

Endpoint: GET /v0/operations/{operationsId}/devices/
Version: 1.0.0
Security: apiKey

## Query parameters:

  - `limit` (integer)

  - `offset` (integer)

  - `state` (integer)
    Following are the Device Operation States and their corresponding integer values

DEVICE_OPERATION_CREATED     = 10
DEVICE_OPERATION_INITIATED   = 20
DEVICE_OPERATION_DISPATCHED  = 30
DEVICE_OPERATION_PROCESSING  = 40
DEVICE_OPERATION_SUCCESS     = 50
DEVICE_OPERATION_FAILURE     = 60
DEVICE_OPERATION_CANCELLED   = 70
DEVICE_OPERATION_TIMEOUT     = 80
DEVICE_OPERATION_COMPLETED   = 90

  - `ordering` (string)
    Field to order the results by. Prefix with '-' to reverse the order.
    Enum: "created_at", "state", "updated_at"

## Path parameters:

  - `operationsId` (string, required)
    ID of the Operation
    Example: "5743470f-7dcc-4a92-8a4b-f41b1cea69ed"

## Response 200 fields (application/json):

  - `content` (object)

  - `content.count` (integer)

  - `content.previous` (string)

  - `content.next` (string)

  - `content.results` (array)

  - `content.results.id` (string)

  - `content.results.operation_id` (string)

  - `content.results.device_id` (string)

  - `content.results.state` (string)
    Enum: "CREATED", "INITIATED", "SUCCEDED", "FAILED"

  - `content.results.reason` (string)

  - `content.results.created_at` (string)

  - `content.results.updated_at` (string)

  - `content.results.device_operation_activity` (array)

  - `content.results.device_operation_activity.device_operation_state` (string)
    The state of the device operation (e.g., queued, processing).
    Example: "CREATED"

  - `content.results.device_operation_activity.created_at` (string)
    The start time of the device operation state.


